VULKAN_HPP_NAMESPACE::CheckpointDataNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkCheckpointDataNV const & () const
| operator VkCheckpointDataNV & ()
bool | operator== (CheckpointDataNV const &rhs) const
bool | operator!= (CheckpointDataNV const &rhs) const

## Data Fields

void * | pNext = nullptr
PipelineStageFlagBits | stage
void * | pCheckpointMarker

## Private Attributes

StructureType | sType = StructureType::eCheckpointDataNV

## Detailed Description

Definition at line 26766 of file vulkan.hpp.

## Member Function Documentation

## operator VkCheckpointDataNV &()

VULKAN_HPP_NAMESPACE::CheckpointDataNV::operator VkCheckpointDataNV & | ( |  | ) |

inline

Definition at line 26773 of file vulkan.hpp.

{
return *reinterpret_cast<VkCheckpointDataNV*>(this);
}

## operator VkCheckpointDataNV const &()

VULKAN_HPP_NAMESPACE::CheckpointDataNV::operator VkCheckpointDataNV const & | ( |  | ) | const

inline

Definition at line 26768 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCheckpointDataNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CheckpointDataNV::operator!= | ( | CheckpointDataNV const & | rhs | ) | const

inline

Definition at line 26786 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::CheckpointDataNV::operator== | ( | CheckpointDataNV const & | rhs | ) | const

inline

Definition at line 26778 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( stage == rhs.stage )
&& ( pCheckpointMarker == rhs.pCheckpointMarker );
}

References pCheckpointMarker, pNext, stage, and sType.

Referenced by operator!=().

## Field Documentation

## pCheckpointMarker

void* VULKAN_HPP_NAMESPACE::CheckpointDataNV::pCheckpointMarker

Definition at line 26797 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::CheckpointDataNV::pNext = nullptr

Definition at line 26795 of file vulkan.hpp.

Referenced by operator==().

## stage

PipelineStageFlagBits VULKAN_HPP_NAMESPACE::CheckpointDataNV::stage

Definition at line 26796 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::CheckpointDataNV::sType = StructureType::eCheckpointDataNV

private

Definition at line 26792 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkCheckpointDataNV
Definition: vulkan_core.h:8772
VULKAN_HPP_NAMESPACE::CheckpointDataNV::sType
StructureType sType
Definition: vulkan.hpp:26792
VULKAN_HPP_NAMESPACE::CheckpointDataNV::pNext
void * pNext
Definition: vulkan.hpp:26795
VULKAN_HPP_NAMESPACE::CheckpointDataNV::pCheckpointMarker
void * pCheckpointMarker
Definition: vulkan.hpp:26797
VULKAN_HPP_NAMESPACE::CheckpointDataNV::operator==
bool operator==(CheckpointDataNV const &rhs) const
Definition: vulkan.hpp:26778
VULKAN_HPP_NAMESPACE::CheckpointDataNV::stage
PipelineStageFlagBits stage
Definition: vulkan.hpp:26796